<div class="widget has-shadow" style="margin: 20px 20px 20px 20px">
    <div class="widget-header bordered no-actions d-flex align-items-center">
        <h4>Les évenements</h4>
        <div>
            <div style="float: right">
                <button data-toggle="modal" data-target="#addModal" (click)="removeBackdrop()">Ajouter un
                    évenement</button>
                <div class="modal fade" id="addModal">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form [formGroup]="eventAdd">
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Titre</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="titre">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Detail</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="detail">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Lieu</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="lieu">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-4 form-control-label d-flex">Categorie</label>
                                        <div class="col-lg-7">
                                          <select name="categorie" class="custom-select form-control rounded" formControlName="categorie">
                                            <option *ngFor="let categorie of categories" [value]="categorie._id">{{categorie.titre}}</option>
                                          </select>
                                        </div>
                                      </div>
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" class="btn btn-primary" (click)="createEvent()">Save changes</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="widget-options">
            <div id="printOption" class="dropdown">
            </div>
        </div>
    </div>
    <div class="widget-body">
        <div class="table-responsive">
            <table id="sorting-table" class="table mb-0 table-hover">
                <thead>
                    <tr>
                        <th>titre</th>
                        <th>Lieu</th>
                        <th>Nombre des participants</th>
                        <th>Categorie</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let event of events; let i = index">
                        <td>{{ event.titre }}</td>
                        <td>{{ event.lieu }}</td>
                        <td>{{ event.nb_participant }}</td>
                        <td>{{ event.categorie.titre }}</td>
                        <td class="td-actions widget-options">
                            <div style="display: flex">
                                <a data-toggle="modal" [attr.data-target]="'#consultParticipants' + i" (click)="removeBackdrop()"><i
                                        class="la la-users edit" (click)="patchValues(event._id)"></i></a>
                                <div class="modal fade" [attr.id]="'consultParticipants' + i">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="card">
                                                    <div class="card-body" style="text-align: center">
                                                        Sofien Msaddak
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-dismiss="modal">Close</button>
                                                <button type="button" class="btn btn-primary">Save changes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <a data-toggle="modal" data-target="#picturesModal" (click)="removeBackdrop()"><i
                                        class="la la-picture-o edit"></i></a>
                                <div class="modal fade" id="picturesModal">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <div class="card" style="display: flex; justify-content: center">
                                                    <img src="assets/img/sidebar-1.jpg" style="width: 500px; height: 500px">
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-dismiss="modal">Close</button>
                                                <button type="button" class="btn btn-primary">Save changes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <a data-toggle="modal" [attr.data-target]="'#editModal' + i" (click)="removeBackdrop()"><i
                                        class="la la-file-text edit" (click)="patchValues(eventID)"></i></a>
                                <div class="modal fade" [attr.id]="'editModal' + i">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <form [formGroup]="eventEdit">
                                                    <div class="form-group row d-flex align-items-center mb-5">
                                                        <label class="col-lg-3 form-control-label d-flex">Titre</label>
                                                        <div class="col-lg-8">
                                                            <input type="text" class="form-control"
                                                                formControlName="titre">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row d-flex align-items-center mb-5">
                                                        <label class="col-lg-3 form-control-label d-flex">Detail</label>
                                                        <div class="col-lg-8">
                                                            <input type="text" class="form-control"
                                                                formControlName="detail">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row d-flex align-items-center mb-5">
                                                        <label class="col-lg-3 form-control-label d-flex">Lieu</label>
                                                        <div class="col-lg-8">
                                                            <input type="text" class="form-control"
                                                                formControlName="lieu">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row d-flex align-items-center mb-5">
                                                        <label
                                                            class="col-lg-3 form-control-label d-flex">Categorie</label>
                                                        <div class="col-lg-8">
                                                            <input type="text" class="form-control"
                                                                formControlName="categorie">
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary"
                                                    data-dismiss="modal">Close</button>
                                                <button type="button" class="btn btn-primary" (click)="update(event._id)">Save changes</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <a (click)="remove(event._id)"><i class="la la-ban delete"></i></a>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>